Subject: [Fwd: Re: cfitsio - not opening FITS file]

From: Clive Page <cgp at le.ac.uk>
Date: 21 Nov 1996 11:51:16 -0000

[This message was originally posted to newsgroup sci.astro.fits but
was not gateway-ed to the fitsbits Email exploder. -Don Wells]

I haven't used CFITSIO only FITSIO, so I don't know if the same
requirements apply, but in the Fortran version the STATUS argument of each
procedure has intent INOUT.  Sorry, this may not make much sense to a C
programmer, it means its value needs to be set (normally to zero) before
you call any FITSIO procedure (sorry function in C-speak).  So my
suggestion is: try setting STATUS to zero before your first call.
-- 
-------------------------------------------------------------------------
Clive Page,                         Internet: cgp at star.le.ac.uk
Dept of Physics & Astronomy,        
University of Leicester.